<?php

namespace App\Http\Controllers;

use App\Models\Kriteria;
use App\Models\Makanan;
use App\Models\Pasien;
use Illuminate\Http\Request;

class DashboardController extends Controller
{
    public function index() {
        // Mengambil jumlah total pasien dari database
        $pasien = Pasien::count();
    
        // Mengambil jumlah total kriteria dari database
        $kriteria = Kriteria::count();
    
        // Mengambil jumlah total makanan dari database
        $makanan = Makanan::count();
    
        // Memuat view 'pages.home.index' sambil mengirimkan data jumlah pasien, kriteria, dan makanan
        return view('pages.home.index', compact('pasien', 'kriteria','makanan'));
    }
    
}
